#--
#-- SUB: createLocalSnapshot
#-- Creates a snapshot based on a local database query
#--
sub createLocalSnapshot {
	#-- Function parameters
	my ($dbh, $schemaname, $snapshotname, $query) = @_;

	#-- Local variables
	my $sql;
	my $sth;

	#-- Creates an empty table based on the query
	$sql = <<SQL;
CREATE TABLE $schemaname.$snapshotname AS
	SELECT query.* 
	FROM ($query) query 
	WHERE 1=0
SQL
	$sth = spi_exec_query($sql);
	if ($sth->{status} eq 'SPI_OK_SELINTO') {
		elog NOTICE, "Snapshot placeholder created" if $main::DEBUG==1;
	} else {
		elog ERROR, "Could not create snapshot placeholder: $sql [".$sth->status."]";
	}
}
