#--
#-- SUB: sqlLookup
#-- Returns a one row result from a SQL query
#--
sub sqlLookup {
	my ($dbh, $sql, $params, $errorsAreFatal) = @_;
	my $sth;
	my @row;
	$sth = $dbh->prepare($sql);
	if (defined($params)) {
		$sth->execute($params);
	} else {
		$sth->execute();
	}
	if ($sth->err) {
		if ($errorsAreFatal) {
			elog ERROR, "Fatal error! SQL=$sql ERROR=".$sth->errstr;
		}
	}
	my @row = $sth->fetchrow_array;
	$sth->finish;
	return @row;
}
